Create Expected Power Shelf
Create an Expected Power Shelf to pre-register power shelves expected to be discovered at a Site.
Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.
Alternatively, Tenant Admins with TargetedInstanceCreation capability can also create Expected Power Shelves if they have an account with the Site’s Infrastructure Provider.
Authentication
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
Request
MAC address of the Expected Power Shelf’s BMC (Baseboard Management Controller)
Optional BMC IP address (IPv4 or IPv6). When set, pre-allocates a reserved IP for the BMC. It must not be unspecified, multicast, or IPv4 limited broadcast.
User-defined key-value pairs for organizing and categorizing Expected Power Shelves
Response
MAC address of the Expected Power Shelf’s BMC (Baseboard Management Controller)
Optional BMC IP address (IPv4 or IPv6). When set, pre-allocates a reserved IP for the BMC.
User-defined key-value pairs for organizing and categorizing Expected Power Shelves